package com.ruoyi.bst.store.service;

import com.ruoyi.bst.store.domain.StoreVO;

import java.util.List;

/**
 * @author wjh
 * 2024/4/29
 */
public interface StoreAssembler {

    /**
     * 拼接设备数量
     * @param list 店铺列表
     */
    void assembleDeviceCount(List<StoreVO> list);

    /**
     * 拼接营收数据
     */
    void assembleRevenue(List<StoreVO> list);

    /**
     * 拼接本月收入
     * @param list
     */
    void assembleMonthIncome(List<StoreVO> list);

    /**
     * 拼接本日收入
     * @param list
     */
    void assembleTodayIncome(List<StoreVO> list);

    /**
     * 拼接上月收入
     * @param list
     */
    void assembleLastMonthIncome(List<StoreVO> list);

    /**
     * 拼接设备总数量
     * @param list
     */
    void assembleTotalCount(List<StoreVO> list);

    /**
     * 拼接在线数量
     * @param list
     */
    void assembleOnlineCount(List<StoreVO> list);

    /**
     * 拼接离线数量
     * @param list
     */
    void assembleOfflineCount(List<StoreVO> list);


    /**
     * 拼接操作
     */
//    void assembleOperator(List<StoreVO> list, Long userId);




}
